X2Go Bug report logs - #195
windows client ignores ssh port

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Matthias Kauer <software@matthiaskauer.com>

Date: Mon, 29 Apr 2013 13:03:01 UTC

Severity: normal

Tags: build-win32, moreinfo

Found in version 4.0.0.3

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, owner@bugs.x2go.org:
Bug#195; Package x2go client. (Mon, 29 Apr 2013 13:03:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Kauer <software@matthiaskauer.com>:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org.

Your message had a Version: pseudo-header with an invalid package version:

4.0.0.3 (Qt - 4.8.1)

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Mon, 29 Apr 2013 13:03:02 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Matthias Kauer <software@matthiaskauer.com>
To: submit@bugs.x2go.org
Subject: windows client ignores ssh port
Date: Mon, 29 Apr 2013 14:52:01 +0200
Package: X2Go Client
Version: 4.0.0.3 (Qt - 4.8.1)

I want to use x2go over port 17022. For testing I therefore set 
Virtualbox to forward 17022 -> 22 and entered 17022 as ssh port in the 
x2goclient's config. After a while, a connection timeout window appears 
detailing that 127.0.0.2:22 could not be reached. Having VBox forward 22 
-> 22 and entering 22 in x2goclient resolved this.

Best,
Matthias

I am using Win7 64bit Host, Vbox 4.2.12, Xubuntu 12.10 guest
matthias@matthias-VirtualBox:~$ uname -a
Linux matthias-VirtualBox 3.5.0-27-generic #46-Ubuntu SMP Mon Mar 25 
19:58:17 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux


Bug reassigned from package 'x2go client' to 'x2goclient'. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Mon, 29 Apr 2013 16:48:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#195; Package x2goclient. (Fri, 21 Jun 2013 08:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 21 Jun 2013 08:48:02 GMT) Full text and rfc822 format available.

Message #12 received at 195@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Matthias Kauer <software@matthiaskauer.com>, 195@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: Bug#195: windows client ignores ssh port
Date: Fri, 21 Jun 2013 10:40:59 +0200
[Message part 1 (text/plain, inline)]
tag #195 moreinfo
found #195 4.0.0.3
thanks

Hi Matthias,

On Mo 29 Apr 2013 14:52:01 CEST Matthias Kauer wrote:

> Package: X2Go Client
> Version: 4.0.0.3 (Qt - 4.8.1)
>
> I want to use x2go over port 17022. For testing I therefore set  
> Virtualbox to forward 17022 -> 22 and entered 17022 as ssh port in  
> the x2goclient's config. After a while, a connection timeout window  
> appears detailing that 127.0.0.2:22 could not be reached. Having  
> VBox forward 22 -> 22 and entering 22 in x2goclient resolved this.
>
> Best,
> Matthias
>
> I am using Win7 64bit Host, Vbox 4.2.12, Xubuntu 12.10 guest
> matthias@matthias-VirtualBox:~$ uname -a
> Linux matthias-VirtualBox 3.5.0-27-generic #46-Ubuntu SMP Mon Mar 25  
> 19:58:17 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

thanks for your bug report.

Please give us some feedback on the questions below:

  o do you manipulate the SSH port in the global X2Go Client configuration
    (Windows Registry folder ,,settings'')?
  o or do you manipulate the SSH port in the session profile?
  o (I presume a yes for first of the two questions above)

Neither am I getting clean the setup you have.

  o is the VBox VM your X2Go Server?
  o or your X2Go Client?

I hope to get your problem fixed with the next X2Go Client release, so  
a quick response is appreciated.

Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 21 Jun 2013 08:48:04 GMT) Full text and rfc822 format available.

Marked as found in versions 4.0.0.3. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 21 Jun 2013 08:48:04 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#195; Package x2goclient. (Fri, 21 Jun 2013 16:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Kauer <software@matthiaskauer.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 21 Jun 2013 16:18:02 GMT) Full text and rfc822 format available.

Message #21 received at 195@bugs.x2go.org (full text, mbox):

From: Matthias Kauer <software@matthiaskauer.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 195@bugs.x2go.org, control@bugs.x2go.org
Subject: Re: Bug#195: windows client ignores ssh port
Date: Fri, 21 Jun 2013 23:53:37 +0800
Hi Gabriel,
I can't verify all your questions right now since I don't have access to 
this setup for a bit, but I'll try my best:

The VM is the server, I was essentially connecting from the host system 
to the guest system. I rerouted port 17022 in the advanced NAT settings 
(or port forwarding settings) of virtual box and I never actually 
changed the ssh port. [This setup worked with putty, but maybe I should 
verify if this is at the root of the problem]

About where I manipulate the port, I really think that was in the 
session profile and I probably never touched the global settings.
I'll try to verify that ASAP though.

Best,
Matthias

On 21/6/2013 4:40 PM, Mike Gabriel wrote:
> tag #195 moreinfo
> found #195 4.0.0.3
> thanks
>
> Hi Matthias,
>
> On Mo 29 Apr 2013 14:52:01 CEST Matthias Kauer wrote:
>
>> Package: X2Go Client
>> Version: 4.0.0.3 (Qt - 4.8.1)
>>
>> I want to use x2go over port 17022. For testing I therefore set
>> Virtualbox to forward 17022 -> 22 and entered 17022 as ssh port in the
>> x2goclient's config. After a while, a connection timeout window
>> appears detailing that 127.0.0.2:22 could not be reached. Having VBox
>> forward 22 -> 22 and entering 22 in x2goclient resolved this.
>>
>> Best,
>> Matthias
>>
>> I am using Win7 64bit Host, Vbox 4.2.12, Xubuntu 12.10 guest
>> matthias@matthias-VirtualBox:~$ uname -a
>> Linux matthias-VirtualBox 3.5.0-27-generic #46-Ubuntu SMP Mon Mar 25
>> 19:58:17 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
>
> thanks for your bug report.
>
> Please give us some feedback on the questions below:
>
>    o do you manipulate the SSH port in the global X2Go Client configuration
>      (Windows Registry folder ,,settings'')?
>    o or do you manipulate the SSH port in the session profile?
>    o (I presume a yes for first of the two questions above)
>
> Neither am I getting clean the setup you have.
>
>    o is the VBox VM your X2Go Server?
>    o or your X2Go Client?
>
> I hope to get your problem fixed with the next X2Go Client release, so a
> quick response is appreciated.
>
> Mike
>
>


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#195; Package x2goclient. (Mon, 24 Jun 2013 11:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Kauer <software@matthiaskauer.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 24 Jun 2013 11:18:02 GMT) Full text and rfc822 format available.

Message #26 received at 195@bugs.x2go.org (full text, mbox):

From: Matthias Kauer <software@matthiaskauer.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 195@bugs.x2go.org, control@bugs.x2go.org
Subject: Re: Bug#195: windows client ignores ssh port
Date: Mon, 24 Jun 2013 19:04:54 +0800
Alright,
I reverified this today.

So I go to Port Management in Vbox and select 17022 -> 22. I connect to 
ssh via port 17022 and putty successfully connects for verification that 
this works. I then start up x2go-client and enter (under session 
management -> session preferences) host: 127.0.0.2, port: 17022, session 
type:XFCE.
I then connect, enter my pw and wait.
I get an error window saying "Timeout connecting to 127.0.0.2" with 
title "Can not connect to 127.0.0.2:22" (wrong port here!)

I then change the port forward in Vbox and in x2go-client to 22 and now 
I can connect.

So again: VBox is representing the server here and I am manipulating the 
session profile, I am not sure where those global preferences that you 
are talking about are.

Best,
Matthias

On 21/6/2013 4:40 PM, Mike Gabriel wrote:
> tag #195 moreinfo
> found #195 4.0.0.3
> thanks
>
> Hi Matthias,
>
> On Mo 29 Apr 2013 14:52:01 CEST Matthias Kauer wrote:
>
>> Package: X2Go Client
>> Version: 4.0.0.3 (Qt - 4.8.1)
>>
>> I want to use x2go over port 17022. For testing I therefore set 
>> Virtualbox to forward 17022 -> 22 and entered 17022 as ssh port in 
>> the x2goclient's config. After a while, a connection timeout window 
>> appears detailing that 127.0.0.2:22 could not be reached. Having VBox 
>> forward 22 -> 22 and entering 22 in x2goclient resolved this.
>>
>> Best,
>> Matthias
>>
>> I am using Win7 64bit Host, Vbox 4.2.12, Xubuntu 12.10 guest
>> matthias@matthias-VirtualBox:~$ uname -a
>> Linux matthias-VirtualBox 3.5.0-27-generic #46-Ubuntu SMP Mon Mar 25 
>> 19:58:17 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
>
> thanks for your bug report.
>
> Please give us some feedback on the questions below:
>
>   o do you manipulate the SSH port in the global X2Go Client 
> configuration
>     (Windows Registry folder ,,settings'')?
>   o or do you manipulate the SSH port in the session profile?
>   o (I presume a yes for first of the two questions above)
>
> Neither am I getting clean the setup you have.
>
>   o is the VBox VM your X2Go Server?
>   o or your X2Go Client?
>
> I hope to get your problem fixed with the next X2Go Client release, so 
> a quick response is appreciated.
>
> Mike
>
>


Added tag(s) build-win32. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 28 Feb 2014 12:00:01 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#195; Package x2goclient. (Mon, 28 Sep 2015 07:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Phil Naidoo <phil-naidoo@outlook.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 28 Sep 2015 07:30:04 GMT) Full text and rfc822 format available.

Message #33 received at 195@bugs.x2go.org (full text, mbox):

From: Phil Naidoo <kab@euronet.nl>
To: undisclosed-recipients:;
Subject: Dringend unterstützung gesucht!!!
Date: Mon, 28 Sep 2015 09:19:55 +0200 (CEST)
Phil Naidoo                                                                                     
Johannesburg South Africa
E-Mail: phil-naidoo@outlook.com
                                              Dringend unterstützung gesucht!!!
Hallo, 
mein Name ist Phil Naidoo, Chefredakteur der ABSA Bank of South  Africa. Ich war ein sehr enger Freund von Matthias Berger, Staatsbürger  ihres Landes. Matthias Berger arbeitete mit Diamond Mine firma in Botswana zusammen. Am 19 Dezember 2011 verunglückte Matthias Berger mit seiner Familie bei einem Hubschrauberabsturz.  Alle Insassen des Hubschrauber starben bei dem Unfall. Seit dem haben wir zahlreiche Erkundigungen bei Ihre Botschaft hier in Süd Afrika und Botswana angestellt um Verwandte von Herr Matthias Berger ausfindig zu machen. Leider waren wir bisher erfolglos.
Nach zahlreichen ergebnisslosen Versuchen Herr Matthias Berger Verwandten  ausfindig zu machen, habe ich mich entschieden Ihren Namen /E-mail Addresse übers dasoertliche site ausfindig zu machen, da sie die gleiche Nationalität haben. Ich habe Sie kontaktiert um Ihnen dabei zu assistieren Anspruch auf einen Betrag von 8.2 Millionen US Dollar, hinterlassen von meinem Freund Herr Matthias Berger zu erheben, bevor es von der ABSA Bank of South Africa konfeziert wird . Die ABSA Bank of South Afrika hat mich benachrichtigt das ich einen Verwandten ausfindig machen muss oder das Geld wird innerhalb der nächsten 21 Arbeitstagen konfesziert. In meiner Position als Chefredakteur der ABSA Bank of South Afrika ist es mir Möglich das Geld auf ein gültiges ausländisches Konto zu überweien mit der Sicherung das das Geld komplett sein wird bis ich in Ihr Land komme um das Geld mit Ihnen zu teilen.
Da es mir seit Vier Jahren nicht gelungen ist Verwandschaft von Herr Matthias Berger ausfindig zu machen, versuche ich Ihr Einverständnis zu bekommen Sie als nächste Verwandten des Verstorbenen zu präsentieren da Sie die gleiche Nationalität haben und somit das Geld zu Ihnen überwiesen werden kann. Wenn Sie an meinen Vorschlag interessiert sind, können wir die Teilungsverhältnisse und Uberweisungsmodalitäten besprechen. Ich besitze alle nötigen Informationen und gesetzlichen Dokumente um Ihre Anspruchsforderung zu unterstützen falls Se sich dazu entscheiden.
Ich brauche nur Ihre ehrliche Zustimmung zur Zusammenarbeit um uns diese Transaktion zu ermöglichen. Ich garantiere Ihnen das dies nur unter legalen/ gesetzlichen Vorraussetzungen stattfinden wird.
Bitte kontaktiren Sie mich unter meiner E-mail:phil-naidoo@outlook.com
 	
Mit freundlichen Grüssen
Phil Naidoo


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Dec 14 05:37:15 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.